﻿@model BladeViewModel

@{
    Layout = null;
}
<div class="blade-bar">
    <a ng-click="MC.closeBlade(step)">
        <i class="icon-cancel-2"></i>
    </a>
    <a ng-click="step.isExpanded = false">
        <i class="icon-minus-2"></i>
    </a>
    <div class="clearfix"></div>
</div>
<h3 class="blade-title show-in-collapse-mode">
    <a class="fg-white title show-in-collapse-mode" ng-click="step.isExpanded = true">@Model.Title</a>
</h3>
<ul class="list actions-list">
    @foreach (var item in Model.MenuItems)
    {
        <li>
            @switch (item.Type)
            {
                case MenuLinkType.SubMenu:
                    {
                        <text>
                            <a ng-click="MC.openBlade({ url: 'Dashboard/Blade/Load?Id=@item.Id', order: 0, menu: 'SEASONS' })" ui-sref=""><i class=" icon-plus-2 on-left-more bd-white"></i>@item.Title</a>
                        </text>
                    }
                    break;
                case MenuLinkType.ExternalLink:
                    {
                        <text>
                            <a ui-sref-active="active" href="@item.Link" class="shortcut"></a>
                        </text>
                    }
                    break;
                case MenuLinkType.FromDb:
                    {

                    }
                    break;
                case MenuLinkType.Action:
                    {
                        @*if (item.FormSchema != null)
                        {
                            <text>
                                <a ui-sref='ManageForm({formName: "@item.FormSchema.Name", formAction: "@item.ActionType"})'><i class=" icon-plus-2 on-left-more bd-white"></i>@item.Title</a>
                            </text>
                        }*@
                    }
                    break;
                default:
                    break;
            }
        </li>

    }

</ul>
<hr class="no-margin" />

